CREATE TABLE masterindex (`id` integer unique,
			  `directory` text(256),
			  `table_name` varchar(64),
			  `master` varchar(64),
			  `owner_name` varchar(64),
			  `permissions` char(3),
			  `acls` text(2048),
			  PRIMARY KEY(`directory`(256)) ) TYPE = InnoDB;

INSERT INTO masterindex (`id`, `directory`, `table_name`, `master`, `owner_name`, `permissions`, `acls`) 
		 VALUES (1, '/', 'x', 'MASTER', 'root', 'rwx', '|system:anyuser rx|');

CREATE TABLE groups (`name` varchar(64) PRIMARY KEY, `owner` varchar(64), `members` text) TYPE = InnoDB;
CREATE TABLE masters(`name` varchar(64) PRIMARY KEY, `host` varchar(64), `port` integer) TYPE = InnoDB;
INSERT INTO masters(`name`, `host`, `port`) VALUES ('MASTER', 'localhost', 8822);
CREATE TABLE users (`name` varchar(129) PRIMARY KEY, `password` varchar(64)) TYPE = InnoDB;
CREATE TABLE certificates (`subject` text(256), `name` varchar(64), FOREIGN KEY(`name`) REFERENCES users(`name`) ON DELETE CASCADE, PRIMARY KEY (`subject`(256), `name`) ) TYPE = InnoDB;